Autor Thema: LIRC /IREXEC zickt  (Gelesen 1668 mal)

Offline Hans Preuth

  • New Member
  • *
  • Beiträge: 40
LIRC /IREXEC zickt
« am: 11 Dezember 2017, 22:05:10 »
???? irexec wird durch "lirc" versorgt ... kannst Du mir bitte Deine Config von lircd und irexec zukommen lassen?
Die Lircd:

[begin remote

  name  /home/pi/lircd.conf
  bits           13
  flags RC5|CONST_LENGTH
  eps            30
  aeps          100

  one           963   814
  zero          963   814
  plead         987
  gap          113806
  min_repeat      2
#  suppress_repeat 2
#  uncomment to suppress unwanted repeats
  toggle_bit_mask 0x800

      begin codes
          key_1                    0x1141
          key_2                    0x1142
          key_3                    0x1143
          key_4                    0x1144
          key_5                    0x1145
          key_6                    0x1146
          key_7                    0x1147
          key_8                    0x1148
          key_9                    0x1149
          key_0                    0x1140
          key_clear                0x1171
]
wo finde ich die conf von irexec?

Und wenn ich Dichr ciht verstanden habe, funktioniert bei Dir auf einem anderen System lirc/irexec??

Ja, auf einen anderen Raspi funktioniert es einwandfee - als GUI nutze ich Pilight.

Und wie gesagt wenn ich irexec "von Hand starte" läuft es auch (x.sh uns GPIO,s)
auch sehe ich mit irw die Pulse. Ich kann den lirc fehlerfrei starten und stoppen.
( Starting lirc (via systemctl): lirc.service) Ich bekomme ihn nicht im Hintergrund zum laufen - was ganz klar an meiner Unwissenheit liegt!! Bin halt ein Anfänger und eher auf der Hardwareseite Zuhause.
Lt. "HTOP" laüft er. Kann es an die Rechteverteilung liegen?
« Letzte Änderung: 12 Dezember 2017, 16:05:23 von Hans Preuth »

Offline Wernieman

  • Hero Member
  • *****
  • Beiträge: 3595
Antw:LIRC /IREXEC zickt
« Antwort #1 am: 12 Dezember 2017, 08:59:45 »
1. Bitte verwende demnächst die CODE-Tags (das # im Editor) zum posten von Codes. Macht es etwas übersichtlicher

2. Könntest Du uns den Inhalt folgender Datei geben?
cat /etc/lirc/lircrc
3. Du sprichst von GUI? Was hast Du für ein System installiert?
- Bitte um Input für Output
- When there is a Shell, there is a Way

Wie man Fragen stellt: https://tty1.net/smart-questions_de.html

Offline Hans Preuth

  • New Member
  • *
  • Beiträge: 40
Antw:LIRC /IREXEC zickt
« Antwort #2 am: 12 Dezember 2017, 19:34:58 »
begin
    button = key_1
    prog = irexec
    config = sudo gpio mode 2 out && gpio write 2 0
    toggle_reset
    config = sudo gpio write 2 1
end

begin
    button = key_2
    prog = irexec
    config = sudo gpio mode 3 out && gpio write 3 0
end

begin
    button = key_3
    prog = irexec
    config = sudo gpio mode 6 out && gpio write 6 0
end

begin
    button = key_4
    prog = irexec
    config = sudo gpio mode 7  out && gpio write 7 0
end

begin
    button = key_9
    prog = irexec
    config = sudo gpio mode 4 out && gpio write 4 0
end

begin
    button = key_clear
    prog = irexec
    config = sudo gpio mode 5 out && gpio write 5 0
end

begin
    button = key_play
    prog = irexec
    config = sudo /home/pi/raspberry-remote/scripte/./woall_on.sh
end

begin
    button = key_pause
    prog = irexec
    config = sudo /home/pi/raspberry-remote/scripte/./woall_off.sh
end

begin
    button = key_fastforward
    prog = irexec
    config = sudo /home/pi/raspberry-remote/scripte/putzlicht_on.sh
end

begin
    button = key_record
    prog = irexec
    config = sudo /home/pi/raspberry-remote/scripte/putzlicht_off.sh
end

begin
    button = key_pvr
    prog = irexec
    config = sudo /home/pi/raspberry-remote/scripte/nacht.sh
end


Zur Frage 3: Auf dem Raspi wo LIRC funktioniert ist Jessie und Pilight installiert. Läuft seit 3 Jahren ohne update und ohne Probleme.

Auf dem Raspi (3) mit Fhem (auch Jessie ,aber aktuell) habe die Probleme. Auch der Befehl "toggle_reset" unter key_1 scheint nicht erlaubt zu sein - mit ihm stürzt Fhem ab. Aber auch ohne gehts nicht.

Offline Wernieman

  • Hero Member
  • *****
  • Beiträge: 3595
Antw:LIRC /IREXEC zickt
« Antwort #3 am: 12 Dezember 2017, 19:51:50 »
Nur mal als Vergleich meine:
begin
        remote = TT
        button = vol-
        prog   = irexec
        repeat = 1
        config = /opt/fhem/schalte-fhem.sh myMPD volumeDown
end

remote brauche ich, da ich mehr als eine Fernbedienung habe. "toggle_reset" habe ich noch nie verwendet.

Das Script ist total Einfach (schon mehrfach erwähnt)
#!/bin/bash
# Programme
nc="/bin/nc"
log="/var/log/fhem/schalte_fhem"
debug=0
server=<FHEM-Server>

if [ $# -lt 2 ];
then
  echo "Zuwenig Parameter!"
  echo "1. Was"
  echo "2. Wie (on,off)"
  exit 1
fi

if [ "$debug" -ne 0 ]
then
  echo "`date` : Debug: Schalte Fhem mit \"$0 $@\"" >>$log
fi

#fhem "set $1 $2"
echo -en "set ${1} ${2}\nquit\n" | $nc -w 5 $server 7072 >/dev/null

error=$?
if [ "$error" -ne 0 ]
then
  echo "`date` : Fehler $error beim Aufruf \"$0 $@\"" >>$log
  exit 1
fi

Probiere es mal bitte
- Bitte um Input für Output
- When there is a Shell, there is a Way

Wie man Fragen stellt: https://tty1.net/smart-questions_de.html

Offline Hans Preuth

  • New Member
  • *
  • Beiträge: 40
Antw:LIRC /IREXEC zickt
« Antwort #4 am: 12 Dezember 2017, 20:42:25 »
mal ne doofe Frage: muss Lirc nicht erst ohne fhen funktionieren bevor ich es an fhem übergebe? Bei mir schaltet aber keines meiner scripte.
Das direkte schalten der GPIO,s via FB-Geber funktioniert. Die Scripte alleine für sich via Terminal auch. Also die Scripte für sich funktionieren. Ich kann sie nur nicht via FB schalten. Es sei denn ich starte Irexec im Terminal dierekt also irexec -> enter. Dann läut alles einwandfrei. Nur nicht im Hintergrund - also keine weitere Bedienung des RPI möglich.

Offline Wernieman

  • Hero Member
  • *****
  • Beiträge: 3595
Antw:LIRC /IREXEC zickt
« Antwort #5 am: 13 Dezember 2017, 18:04:04 »
ach sooooo ... dann hast Du den Deamon lircd laufen, aber nicht den irexec.

Zeig mir mal Deine:
Zitat
/etc/init.d/lirc

Und .. wie sieht die erste Zeile der lircrc aus?
head -n1 /etc/lirc/lircrcbzw. mal als Test:
grep UNCONFIGURED /etc/lirc/lircrc
- Bitte um Input für Output
- When there is a Shell, there is a Way

Wie man Fragen stellt: https://tty1.net/smart-questions_de.html

Offline Hans Preuth

  • New Member
  • *
  • Beiträge: 40
Antw:LIRC /IREXEC zickt
« Antwort #6 am: 13 Dezember 2017, 19:37:46 »
Ja, so stellt sich das für mich auch da - Ich habe das wohl umständlich beschrieben sorry :-[
#! /bin/sh
### BEGIN INIT INFO
# Provides:          lirc
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Starts LIRC daemon.
# Description:       LIRC is used to control different
#                    infrared receivers and transceivers.
### END INIT INFO

load_modules ()
{
        MODULES_MISSING=false

        log_daemon_msg "Loading LIRC modules"
        for mod in $*; do
                if [ $mod = "udev" ]; then
                        log_end_msg 0
                        log_success_msg "Restarted via udev, don't reload modules"
                        break
                else
                        modprobe $mod 2> /dev/null || MODULES_MISSING=true
                fi
        done
        log_end_msg $?

        if $MODULES_MISSING; then
                log_failure_msg "Unable to load LIRC kernel modules. Verify your"
                log_failure_msg "selected kernel modules in /etc/lirc/hardware.conf"
                START_LIRCMD=false
                START_LIRCD=false
        fi
}

build_args ()
{
        ARGS="$*"

        ## Try to find an lirc device.
        if [ -z "$DEVICE" ]; then
                if [ -c $dev ]; then
                        DEVICE="$dev"
                        break
                fi
        fi

        if [ -n "$DEVICE" ] && [ "$DEVICE" != "none" ]; then
                ARGS="--device=$DEVICE $ARGS"
        fi

        if [ -n "$DRIVER" ] && [ "$DRIVER" != "none" ]; then
                ARGS="--driver=$DRIVER $ARGS"
        fi

        echo $ARGS
}

. /lib/lsb/init-functions

test -f /usr/sbin/lircd || exit 0
test -f /usr/sbin/lircmd || exit 0

START_LIRCMD=true
START_LIRCD=true
START_IREXEC=true


if [ -f /etc/lirc/hardware.conf ];then
        . /etc/lirc/hardware.conf
fi

if [ ! -f /etc/lirc/lircd.conf ] || grep -q "^#UNCONFIGURED" /etc/lirc/lircd.conf; then
        if [ "$1" = "start" ]; then
                log_success_msg "No valid /etc/lirc/lircd.conf has been found."
                log_success_msg "Remote control support has been disabled."
                log_success_msg "Reconfigure LIRC or manually replace /etc/lirc/lircd.conf to enable."
        fi

        START_LIRCD=false
        START_LIRCMD=false
        START_IREXEC=false
fi

if [ ! -f /etc/lirc/lircmd.conf ] || grep -q "^#UNCONFIGURED" /etc/lirc/lircmd.conf; then
        START_LIRCMD=false
fi

if [ ! -f /etc/lirc/lircrc ] || grep -q "^#UNCONFIGURED" /etc/lirc/lircrc; then
        START_IREXEC=false
fi

case "$1" in
        start)
                [ -d "/var/run/lirc" ] || mkdir -p "/var/run/lirc"
                if [ "$LOAD_MODULES" = "true" ] && [ "$START_LIRCD" = "true" ]; then
                        load_modules $2 $MODULES
                fi

                if [ "$START_LIRCD" = "true" ]; then
                        log_daemon_msg "Starting remote control daemon(s) : LIRC "
                        LIRCD_ARGS=`build_args $LIRCD_ARGS`

                        if [ ! -z "$LIRCD_ARGS" ]; then
                                start-stop-daemon --start --quiet --oknodo --exec /usr/sbin/lircd -- $LIRCD_ARGS < /dev/null
                                # retain compatibility with old clients
                                ln -fs ../var/run/lirc/lircd /dev/lircd
                                log_end_msg $?
                        else
                                log_end_msg 1
                        fi
                fi

                if [ "$START_LIRCMD" = "true" ]; then
                        log_daemon_msg "Starting remote control mouse daemon : LIRCMD "
                        start-stop-daemon --start --quiet --oknodo --exec /usr/sbin/lircmd < /dev/null
                        log_end_msg $?
                fi

                if [ "$START_IREXEC" = "true" ]; then
                        log_daemon_msg "Starting execution daemon: irexec"
                        start-stop-daemon --start --quiet --oknodo --exec /usr/bin/irexec -- -d /etc/lirc/lircrc < /dev/null
                        log_end_msg $?
                fi
                ;;
        stop)
                if [ "$START_IREXEC" = "true" ]; then
                        log_daemon_msg "Stopping execution daemon: irexec"
                        start-stop-daemon --stop --quiet --exec /usr/bin/irexec
                        log_end_msg $?
                fi

                if [ "$START_LIRCMD" = "true" ]; then
                        log_daemon_msg "Stopping remote control mouse daemon: LIRCMD"
                        start-stop-daemon --stop --quiet --exec /usr/sbin/lircmd
                        log_end_msg $?
                fi

                if [ "$START_LIRCD" = "true" ]; then
                        log_daemon_msg "Stopping remote control daemon(s): LIRC"
                        start-stop-daemon --stop --quiet --exec /usr/sbin/lircd
                        log_end_msg $?
                fi
                ;;
        reload|force-reload)
                if [ "$START_IREXEC" = "true" ]; then
                        start-stop-daemon --stop --quiet --signal 1 --exec /usr/bin/irexec
                fi

                if [ "$START_LIRCD" = "true" ]; then
                        start-stop-daemon --stop --quiet --signal 1 --exec /usr/sbin/lircd
                fi

                if [ "$START_LIRCMD" = "true" ]; then
                        start-stop-daemon --stop --quiet --signal 1 --exec /usr/sbin/lircmd
                fi
                ;;
        restart)
                $0 stop
                sleep 1
                #passes parameter $2 which is possibly our udev paramater
                $0 start $2
                ;;
        *)
                echo "Usage: /etc/init.d/lircd {start|stop|reload|restart|force-reload}"
        exit 1
esac

exit 0
die erste Zeile beginnt mit begin
begin
    button = key_1
    prog = irexec
    config = sudo gpio mode 2 out && gpio write 2 0
end

Deine Testzeile "grep un ..."  bewirkt nichts

Offline Wernieman

  • Hero Member
  • *****
  • Beiträge: 3595
Antw:LIRC /IREXEC zickt
« Antwort #7 am: 13 Dezember 2017, 20:58:15 »
Habe jetzt 3 Aufgaben für Dich:
Die einfache:
1. Einfach
Läuft denn irexec?
ps aux | grep [i]rexec
2. Komplizierter:
Mach bitte mail 2 Fenster auf. Bitte bei beiden "root" werden durch
sudo -i
In Einem bitte mal eingeben:
tail -f /var/log/syslog
In dem 2. Bitte:
/etc/init.d/lirc stop
/etc/init.d/lirc stop
Nun sollte im 1. Fenster nach dem 2. Befehl des 2. Fenster so etwas stehen:
Dec 13 20:53:08 mimi systemd[1]: Starting LSB: Starts LIRC daemon....
Dec 13 20:53:08 mimi lirc[13898]:  * Loading LIRC modules
Dec 13 20:53:08 mimi lirc[13898]:    ...done.
Dec 13 20:53:08 mimi lirc[13898]:  * Starting remote control daemon(s) :
Dec 13 20:53:08 mimi lirc[13898]:    ...done.
Dec 13 20:53:08 mimi lircd-0.9.0[13913]: lircd(default) ready, using /run/lirc/lircd
Dec 13 20:53:08 mimi lirc[13898]:  * Starting execution daemon: irexec
Dec 13 20:53:08 mimi lircd-0.9.0[13913]: accepted new client on /run/lirc/lircd
Dec 13 20:53:08 mimi lirc[13898]:    ...done.
Dec 13 20:53:08 mimi systemd[1]: Started LSB: Starts LIRC daemon..

Naütlrich mit einem anderen Rechnernamen als "mimi". Wichtig ist hier die Zeile:
* Starting execution daemon: irexecErscheint Die bei Dir?


3. Läuft denn jetzt irexec (siehe 1.)
- Bitte um Input für Output
- When there is a Shell, there is a Way

Wie man Fragen stellt: https://tty1.net/smart-questions_de.html

Offline Hans Preuth

  • New Member
  • *
  • Beiträge: 40
Antw:LIRC /IREXEC zickt
« Antwort #8 am: 13 Dezember 2017, 22:16:14 »
Zu 1: Nein, leider nicht
root       698  0.0  0.0   1888    92 ?        Ss   21:55   0:00 /usr/bin/irexe          -d /etc/lirc/lircrc
pi         817  0.0  0.0   1888    92 ?        Ss   21:55   0:00 /usr/bin/irexe          -d
pi         942  0.0  0.0   1888    92 ?        Ss   21:55   0:00 /usr/bin/irexe          -d
pi        1156  0.0  0.0   1888    92 ?        Ss   21:55   0:00 /usr/bin/irexe          -d
pi        1174  0.0  0.0   1888    92 ?        Ss   21:55   0:00 /usr/bin/irexe          -d

Zu 2: ich denke mal Du meist : /etc/init.d/lirc stop & /etc/init.d/lirc start und nicht stop

Dec 13 21:55:23 raspberrypi systemd[1]: Time has been changed
Dec 13 21:55:23 raspberrypi dhcpcd[530]: wlan0: no IPv6 Routers available
Dec 13 21:55:42 raspberrypi ntpd_intres[757]: parent died before we finished, exiting
Dec 13 21:55:44 raspberrypi systemd[1]: Starting Session c3 of user pi.
Dec 13 21:55:44 raspberrypi systemd[1]: Started Session c3 of user pi.
Dec 13 21:55:45 raspberrypi lircd-0.9.0-pre1[685]: accepted new client on /var/run/lir  c/lircd
Dec 13 21:55:49 raspberrypi systemd[1]: Starting Session c4 of user pi.
Dec 13 21:55:49 raspberrypi systemd[1]: Started Session c4 of user pi.
Dec 13 21:55:50 raspberrypi lircd-0.9.0-pre1[685]: accepted new client on /var/run/lir  c/lircd
Dec 13 21:57:17 raspberrypi rsyslogd-2007: action 'action 17' suspended, next retry is   Wed Dec 13 21:57:47 2017 [try http://www.rsyslog.com/e/2007 ]
Dec 13 21:58:37 raspberrypi systemd[1]: Stopping LSB: Starts LIRC daemon....
Dec 13 21:58:37 raspberrypi rsyslogd-2007: action 'action 17' suspended, next retry is   Wed Dec 13 21:59:07 2017 [try http://www.rsyslog.com/e/2007 ]
Dec 13 21:58:37 raspberrypi lircd-0.9.0-pre1[685]: removed client
Dec 13 21:58:37 raspberrypi lircd-0.9.0-pre1[685]: removed client
Dec 13 21:58:37 raspberrypi lircd-0.9.0-pre1[685]: removed client
Dec 13 21:58:37 raspberrypi lircd-0.9.0-pre1[685]: removed client
Dec 13 21:58:37 raspberrypi lircd-0.9.0-pre1[685]: removed client
Dec 13 21:58:37 raspberrypi lirc[1207]: Stopping execution daemon: irexec:.
Dec 13 21:58:37 raspberrypi lircd-0.9.0-pre1[685]: caught signal
Dec 13 21:58:37 raspberrypi lirc[1207]: Stopping remote control daemon(s): LIRC:.
Dec 13 21:58:37 raspberrypi systemd[1]: Stopped LSB: Starts LIRC daemon..
Dec 13 21:58:56 raspberrypi systemd[1]: Starting LSB: Starts LIRC daemon....
Dec 13 21:58:56 raspberrypi lirc[1244]: Loading LIRC modules:.
Dec 13 21:58:56 raspberrypi kernel: [  233.285835] input: lircd as /devices/virtual/in  put/input1
Dec 13 21:58:56 raspberrypi lircd-0.9.0-pre1[1254]: lircd(default) ready, using /var/r  un/lirc/lircd
Dec 13 21:58:56 raspberrypi lirc[1244]: Starting remote control daemon(s) : LIRC :.
Dec 13 21:58:56 raspberrypi lircd-0.9.0-pre1[1254]: accepted new client on /var/run/li  rc/lircd
[color=red]Dec 13 21:58:56 raspberrypi lirc[1244]: Starting execution daemon: irexec:.
Dec 13 21:58:56 raspberrypi systemd[1]: Started LSB: Starts LIRC daemon..
Würde ja passen

 Nach erneuten Eingabe von : ps aux | grep rexec   erscheint diese Meldung :  root      1259  0.0  0.1   1888  1040 ?        Ss   21:58   0:00 /usr/bin/irexec -d /etc/lirc/lircrc

Zu3 :irexec läuft aber leider immer noch nicht.


Offline Wernieman

  • Hero Member
  • *****
  • Beiträge: 3595
Antw:LIRC /IREXEC zickt
« Antwort #9 am: 14 Dezember 2017, 08:45:11 »
Also eigentlich:
Dec 13 21:58:56 raspberrypi lirc[1244]: Starting execution daemon: irexec:Und dem folgenden:
root      1259  0.0  0.1   1888  1040 ?        Ss   21:58   0:00 /usr/bin/irexec -d /etc/lirc/lircrcSollte er gestartet sein.

Sieht bei mir nicht anders aus:
irexec     847  0.0  0.0   6440   108 ?        Ss   08:10   0:00 /usr/bin/irexec -d /etc/lirc/lircrc
Was mich wundert, Du hast zuerst 5? irexec laufen? Wirklich so viele??

Achte bitte mal erstmal darauf, das Du nur 1! laufen hast. Ich verstehe aber die Aussage zu 3 nicht. Das Programm an sich läuft doch laut Ende der Aussage zu 2.? Oder ist Deine Aussage so nicht richtig? Es geht mir (momentan) noch nicht ums funktionieren. Das ist der nächste Stepp.

Könntest Du mir bitte mal die komplette /etc/lirc/lircrc geben? Wenn zu viel Privates, gerne auch per PM.

- Bitte um Input für Output
- When there is a Shell, there is a Way

Wie man Fragen stellt: https://tty1.net/smart-questions_de.html

Offline Hans Preuth

  • New Member
  • *
  • Beiträge: 40
Antw:LIRC /IREXEC zickt
« Antwort #10 am: 14 Dezember 2017, 17:08:58 »
Hallo - ich bewundere Deine Geduld mit mir!
Hier meine Lircrcroot@raspberrypi:/etc/lirc# cat lircrc
begin
    button = key_1
    prog = irexec
    config = sudo gpio mode 2 out && gpio write 2 0
end

begin
    button = key_2
    prog = irexec
    config = sudo gpio mode 3 out && gpio write 3 0
end

begin
    button = key_3
    prog = irexec
    config = sudo gpio mode 6 out && gpio write 6 0
end

begin
    button = key_4
    prog = irexec
    config = sudo gpio mode 7  out && gpio write 7 0
end

begin
    button = key_9
    prog = irexec
    config = sudo gpio mode 4 out && gpio write 4 0
end

begin
    button = key_clear
    prog = irexec
    config = sudo gpio mode 5 out && gpio write 5 0
end

begin
    button = key_play
    prog = irexec
    config = sudo /home/pi/raspberry-remote/scripte/./woall_on.sh
end

begin
    button = key_pause
    prog = irexec
    config = sudo /home/pi/raspberry-remote/scripte/./woall_off.sh
end

begin
    button = key_fastforward
    prog = irexec
    config = sudo /home/pi/raspberry-remote/scripte/putzlicht_on.sh
end

begin
    button = key_record
    prog = irexec
    config = sudo /home/pi/raspberry-remote/scripte/putzlicht_off.sh
end

begin
    button = key_pvr
    prog = irexec
    config = sudo /home/pi/raspberry-remote/scripte/nacht.sh
end

warum die IREXEC nach dem Start 4 mal läuft weiß ich nicht. Ich starte es auch nicht 4 x über die rc.local ...

Zitat
Zu3 :irexec läuft aber leider immer noch nicht.
meinte ich es funktioniert noch nicht wie gedacht -da habe ich mich falsch ausgedrückt.


Offline Hans Preuth

  • New Member
  • *
  • Beiträge: 40
Antw:LIRC /IREXEC zickt
« Antwort #11 am: 14 Dezember 2017, 19:55:21 »
so nun läuft die irexec nur noch einemal
Zitat
root       696  0.0  0.1   1888  1036 ?        Ss   19:46   0:00 /usr/bin/irexec -d /etc/lirc/lircrc
es war wohl letztendlich der Eintrag in : ~/.profile

dafü habe ich nun folgende Fehlermeldung
Zitat
/etc/lirc $ /etc/init.d/lirc start
[....] Starting lirc (via systemctl): lirc.serviceFailed to start lirc.service: Access denied
 failed!

mit root rechte  gehts

aber funktionieren tut,s immer noch nicht - keine Funktion der FB
Zitat
[ ok ] Starting lirc (via systemctl): lirc.service.
« Letzte Änderung: 14 Dezember 2017, 20:25:28 von Hans Preuth »

Offline Wernieman

  • Hero Member
  • *****
  • Beiträge: 3595
Antw:LIRC /IREXEC zickt
« Antwort #12 am: 15 Dezember 2017, 09:51:12 »
/etc/lirc $ /etc/init.d/lirc start
[....] Starting lirc (via systemctl): lirc.serviceFailed to start lirc.service: Access denied
 failed!

Dad knling komisch.

Würde es jetzt mal "sauber" machen und neu installieren (alles als root):
1. Sicherheitscopy:
cp /etc/lirc /etc/lirc.backup2. Entfernen
apt-get purge lirc
apt-get autoremove
apt-get autoclean
3. Sicherheitshalber update der Sourcen
apt-get update4. Neuinstallation
apt-get install lirc
Jetzt die Gesicherte Config wieder einfügen, aber auf die Berechtigung achten! Und deshalb nicht per cp, sondern per "überlegen". Du könntet auch schrittweise vorgehen, d.h. erstmal key_1 und dann erst weitergehen ...

P.S. Du hast lirc sudo rechte gegeben? Hast Du sonsto noch Rechte vergeben? Oder es eingetragen?
(Wie Dein erwähntes .profile)
- Bitte um Input für Output
- When there is a Shell, there is a Way

Wie man Fragen stellt: https://tty1.net/smart-questions_de.html

Offline Hans Preuth

  • New Member
  • *
  • Beiträge: 40
Antw:LIRC /IREXEC zickt
« Antwort #13 am: 15 Dezember 2017, 22:20:47 »
so, ich habe alles deinstalliert und installiert. Die lircrc besteht aus nur 2 Befehlen

pi@raspberrypi:/etc/lirc $ cat lircrc
begin
    button = key_fastforward
    prog = irexec
    config = sudo /home/pi/raspberry-remote/scripte/putzlicht_on.sh
end

begin
    button = key_record
    prog = irexec
    config = sudo /home/pi/raspberry-remote/scripte/putzlicht_off.sh
end

Die Abfrage via pi@raspberrypi:/etc/lirc $ ps aux | grep rexec sagt das es nun auch nur 1 mal läuft.  Hier wird ircxec übrigens rot angezeigt. Hmm?

root       688  0.0  0.0   1888    92 ?        Ss   21:12   0:00 /usr/bin/irexec -d /etc/lirc/lircrc
Die FB hat aber immernoch keine Funktion.
Starte ich irexec "von Hand" nochmal  -
Zitat
pi@raspberrypi:~ $ irexec
kann ich mit der FB korrekt schalten - - das Script bzw. der Inhalt der LIRCRC  und läuft also. Den Inhalt der LIRC habe ich mit chmod +x volle Rechte, so glaube ich, gegeben.







Offline Wernieman

  • Hero Member
  • *****
  • Beiträge: 3595
Antw:LIRC /IREXEC zickt
« Antwort #14 am: 15 Dezember 2017, 22:50:25 »
?? Du must es per Hand starten? Wie ist er Befehl?

Das es rot ist, liegt am grep. Der markiert alle "Suchwörter" in der Konsole. Das Du im "ps aux"  nach irexec greps, zeigt er es ...

Edit:
Jetzt bewege ich mich gerade auf dünnen Eis, da ich aktuell nur einen ubuntu-Server zum angucken habe. Kannst Du mir bitte mal geben:
cat /etc/lirc/hardware.conf
hast Du eigentlich eine /etc/lirc/lircrc oder eine /etc/lirc/.lircrc?
Man beachte den "."
- Bitte um Input für Output
- When there is a Shell, there is a Way

Wie man Fragen stellt: https://tty1.net/smart-questions_de.html